dofile("goodness-of-fit.lua")

amazonia = CellularSpace{
	dbType = "mdb",
	database = "c:\\amazonia.mdb",
	theme = "AmzCells"
}

prodes = CellularSpace{
	dbType = "mdb",
	database = "c:\\prodes.mdb",
	theme = "AmzCells"
}

deforLeg = Legend{
	slices = 10,
	colorBar = {
		{value = 1, color = "green"},
		{value = 0, color = "red"}
	}
}

forEachCell(amazonia, function(cell)
	cell.defor = cell.defor2001
	cell.finalDefor = cell.defor2001
end)

for i = 2002, 2011 do
	attribute = "prodes"..i
	print(attribute)
	forEachCellPair(amazonia, prodes, function(camaz, cprodes)
		camaz.finalDefor = camaz.finalDefor + cprodes[attribute]
	end)
end

obs = Observer{
	subject = amazonia,
	attributes = {"defor"},
	legends = {deforLeg}
}

amazonia:notify()

t = Timer{
	Event{time = 2002, action = function(event)
		attribute = "prodes"..event:getTime()
		print(attribute)
		forEachCellPair(amazonia, prodes, function(camaz, cprodes)
			camaz.defor = camaz.defor + cprodes[attribute]
		end)
		amazonia:notify()
	end}
}

t:execute(2011)

gof = GoodnessOfFit{
	cs1 = amazonia, 
	attr1 = "defor",
	cs2 = amazonia,
	attr2 = "finalDefor",
	demand = 13601.1413
}

gof:chart()
print("Goodness of fit: "..gof:fit())


